## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate sled

Name:           rust-sled
Version:        0.34.7
Release:        %autorelease
Summary:        Lightweight high-performance pure-rust transactional embedded database

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/sled
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump rand_distr to 0.4: https://github.com/spacejam/sled/pull/1500
# * bump zerocopy to 0.7: https://github.com/spacejam/sled/pull/1501
# * drop unused color-backtrace dependency and pretty_backtrace feature
# * drop unused zstd dependency and compression feature
Patch:          sled-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Lightweight high-performance pure-rust transactional embedded database.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASE_CHECKLIST.md
%doc %{crate_instdir}/SAFETY.md
%doc %{crate_instdir}/SECURITY.md
%doc %{crate_instdir}/code-of-conduct.md
%exclude %{crate_instdir}/tsan_suppressions.txt
%exclude %{crate_instdir}/art/
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+docs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+docs-devel %{_description}

This package contains library source intended for building other packages which
use the "docs" feature of the "%{crate}" crate.

%files       -n %{name}+docs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+event_log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+event_log-devel %{_description}

This package contains library source intended for building other packages which
use the "event_log" feature of the "%{crate}" crate.

%files       -n %{name}+event_log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+failpoints-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+failpoints-devel %{_description}

This package contains library source intended for building other packages which
use the "failpoints" feature of the "%{crate}" crate.

%files       -n %{name}+failpoints-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io_uring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io_uring-devel %{_description}

This package contains library source intended for building other packages which
use the "io_uring" feature of the "%{crate}" crate.

%files       -n %{name}+io_uring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lock_free_delays-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lock_free_delays-devel %{_description}

This package contains library source intended for building other packages which
use the "lock_free_delays" feature of the "%{crate}" crate.

%files       -n %{name}+lock_free_delays-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+measure_allocs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+measure_allocs-devel %{_description}

This package contains library source intended for building other packages which
use the "measure_allocs" feature of the "%{crate}" crate.

%files       -n %{name}+measure_allocs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+miri_optimizations-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miri_optimizations-devel %{_description}

This package contains library source intended for building other packages which
use the "miri_optimizations" feature of the "%{crate}" crate.

%files       -n %{name}+miri_optimizations-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mutex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mutex-devel %{_description}

This package contains library source intended for building other packages which
use the "mutex" feature of the "%{crate}" crate.

%files       -n %{name}+mutex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_inline-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_inline-devel %{_description}

This package contains library source intended for building other packages which
use the "no_inline" feature of the "%{crate}" crate.

%files       -n %{name}+no_inline-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_logs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_logs-devel %{_description}

This package contains library source intended for building other packages which
use the "no_logs" feature of the "%{crate}" crate.

%files       -n %{name}+no_logs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_metrics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_metrics-devel %{_description}

This package contains library source intended for building other packages which
use the "no_metrics" feature of the "%{crate}" crate.

%files       -n %{name}+no_metrics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rio-devel %{_description}

This package contains library source intended for building other packages which
use the "rio" feature of the "%{crate}" crate.

%files       -n %{name}+rio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+testing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+testing-devel %{_description}

This package contains library source intended for building other packages which
use the "testing" feature of the "%{crate}" crate.

%files       -n %{name}+testing-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f testing

%build
%cargo_build -f testing

%install
%cargo_install -f testing

%if %{with check}
%check
# Drop test that does not compile properly
rm -r tests/{tree/,test_tree.rs}
%cargo_test -f testing
%endif

%changelog
## START: Generated by rpmautospec
* Sun Oct 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.34.7-2
- Drop unused pretty_backtrace feature and the color-backtrace dep

* Mon Jul 22 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.34.7-1
- Initial import; Fixes: RHBZ#2284641
## END: Generated by rpmautospec
